using System.Drawing ;

using Manina.Windows.Forms ;

// --------------------------------------------------------------------

public class AppImageListView : ImageListView
{

    public class AppImageListViewRenderer : ImageListView.ImageListViewRenderer
    {
        // NOTE: This disables the large preview image in Gallery mode.
        public override void DrawGalleryImage( Graphics g, ImageListViewItem lvi , Image img, Rectangle rc ) {}
    }

    public void setSelection( int selIndex )
    {
        // set the selected item
        for ( int i=0 ; i < Items.Count ; ++i )
            Items[i].Selected = (i == selIndex) ;
        Items.FocusedItem = Items[selIndex] ;
        EnsureVisible( selIndex ) ;
    }

}
